Rhinocommon Join Meshes

Let’s say I generate a bunch of meshes from vertices in python using rhinocommon. What method do I use to join them?

Hi Lawrence,

Create a new mesh and append each one of your meshes to it:

joinedMesh = Rhino.Geometry.Mesh()
for mesh in bunchOfMeshes:
    joinedMesh.Append(mesh)
3 Likes

Djordje beat me to it:
http://4.rhino3d.com/5/rhinocommon/?topic=html/M_Rhino_Geometry_Mesh_Append.htm

@djordje
@Willem

Thanks, I’m glad the solution is so simple.

I check mcneel forum during football half-time breaks.
Go Wales !!

currently, this is also possible.

joinedMesh = Rhino.Geometry.Mesh():
joinedMesh.Append(bunchOfMeshes)

1 Like

Thanks @aitorleceta,
The upper solution was for Rhino 5, because back then Rhino.Geometry.Mesh.Append didn’t support list input.

1 Like